/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreimbursement.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sysmtree.entity.SysMtree;

import java.math.BigDecimal;
import java.util.List;

/**
 * 财务报销Entity
 * @author 孟祥越
 * @version 2017-05-02
 */
public class WorkAccount extends DataEntity<WorkAccount> {
	
	private static final long serialVersionUID = 1L;
	private String type;		// 类型
	private String financialSubjects;		// 财务科目
	private String financialSubjectss;		// 财务科目
	private String moneyAbstract;		// 报销费用摘要
    private String remarks;
    private BigDecimal money;  //报销费用（元）
	private BigDecimal tax; //税金（元）
	private WorkReimbursement workReimbursement;		// 报销单主键 父类
	private List<WorkAccountAudit> workAccountAuditList;		// 报销单主键 父类
	private String invoiceType;//发票类型

	public String getInvoiceType() {
		return invoiceType;
	}

	public void setInvoiceType(String invoiceType) {
		this.invoiceType = invoiceType;
	}
	public WorkAccount() {
		super();
		tax = new BigDecimal(0);
	}
	public WorkAccount(WorkReimbursement workReimbursement){
		this.workReimbursement = workReimbursement;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getFinancialSubjects() {
		return financialSubjects;
	}

	public void setFinancialSubjects(String financialSubjects) {
		this.financialSubjects = financialSubjects;
	}

	public String getMoneyAbstract() {
		return moneyAbstract;
	}

	public void setMoneyAbstract(String moneyAbstract) {
		this.moneyAbstract = moneyAbstract;
	}

	@Override
	public String getRemarks() {
		return remarks;
	}

	@Override
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public BigDecimal getMoney() {
		return money;
	}

	public void setMoney(BigDecimal money) {
		this.money = money;
	}

	public BigDecimal getTax() {
		return tax;
	}

	public void setTax(BigDecimal tax) {
		this.tax = tax;
	}

	public WorkReimbursement getWorkReimbursement() {
		return workReimbursement;
	}

	public void setWorkReimbursement(WorkReimbursement workReimbursement) {
		this.workReimbursement = workReimbursement;
	}

	public String getFinancialSubjectss() {
		return financialSubjectss;
	}

	public void setFinancialSubjectss(String financialSubjectss) {
		this.financialSubjectss = financialSubjectss;
	}

	public List<WorkAccountAudit> getWorkAccountAuditList() {
		return workAccountAuditList;
	}

	public void setWorkAccountAuditList(List<WorkAccountAudit> workAccountAuditList) {
		this.workAccountAuditList = workAccountAuditList;
	}
}